> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Player Segments

> List all segments that a player currently belongs to at this moment in time.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetPlayerSegments
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetPlayerSegments:
    post:
      tags:
        - PlayStream
      summary: Get Player Segments
      description: >
        List all segments that a player currently belongs to at this moment in
        time.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | ProductDisabledForTitle | 1609 |
      operationId: GetPlayerSegments
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPlayersSegmentsRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetPlayerSegmentsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetPlayersSegmentsRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        PlayFabId:
          description: >-
            Unique PlayFab assigned ID of the user on whom the operation will be
            performed.
          type: string
      required:
        - PlayFabId
      example:
        PlayFabId: 1337AA00
    GetPlayerSegmentsResult:
      type: object
      properties:
        Segments:
          description: Array of segments the requested player currently belongs to.
          type: array
          items:
            $ref: '#/components/schemas/GetSegmentResult'
          x-isclass: true
      example:
        Segments:
          - Id: 1337AA00
            Name: Fast Players
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    GetSegmentResult:
      type: object
      properties:
        ABTestParent:
          description: Identifier of the segments AB Test, if it is attached to one.
          type: string
        Id:
          description: Unique identifier for this segment.
          type: string
        Name:
          description: Segment name.
          type: string
      required:
        - Id
      example:
        Id: 1337AA00
        Name: Fast Players
  responses:
    GetPlayerSegmentsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetPlayerSegmentsResult'
            example:
              code: 200
              status: OK
              data:
                Segments:
                  - Id: 1337AA00
                    Name: Fast Players
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Player Segments](/services/playfab/api-references/rest/client/play-stream/get-player-segments.md)
- [PFSegmentsGetPlayerSegmentsResult](/services/playfab/api-references/c/pfsegmentstypes/structs/pfsegmentsgetplayersegmentsresult.md)
- [PFSegmentsServerGetPlayerSegmentsAsync](/services/playfab/api-references/c/pfsegments/functions/pfsegmentsservergetplayersegmentsasync.md)
- [PFSegmentsClientGetPlayerSegmentsAsync](/services/playfab/api-references/c/pfsegments/functions/pfsegmentsclientgetplayersegmentsasync.md)
- [PFSegmentsClientGetPlayerSegmentsGetResult](/services/playfab/api-references/c/pfsegments/functions/pfsegmentsclientgetplayersegmentsgetresult.md)
